Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 810009 (CVE-2012-1584) - CVE-2012-1584 taglib: integer overflow can crash application
Summary: CVE-2012-1584 taglib: integer overflow can crash application
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2012-1584
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 800564 800566
Blocks: 800562
TreeView+ depends on / blocked
 
Reported: 2012-04-04 21:41 UTC by Vincent Danen
Modified: 2021-02-24 12:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-02 14:26:31 UTC


Attachments (Terms of Use)

Description Vincent Danen 2012-04-04 21:41:54 UTC
It was reported [1] that taglib suffers from an integer overflow flaw when parsing file header fields.  A file with a crafted header could cause a large allocation and crash the application.

This has been corrected in git [2].

[1] http://www.openwall.com/lists/oss-security/2012/03/21/11
[2] https://github.com/taglib/taglib/commit/dcdf4fd954e3213c355746fa15b7480461972308

Comment 1 Vincent Danen 2012-04-04 21:44:01 UTC
Created taglib tracking bugs for this issue

Affects: fedora-all [bug 800564]
Affects: epel-5 [bug 800566]

Comment 2 Fedora Update System 2012-04-06 21:29:21 UTC
taglib-1.7.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2012-04-06 21:29:52 UTC
taglib-1.7.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2012-04-12 03:24:12 UTC
taglib-1.7.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Stefan Cornelius 2012-05-02 14:26:31 UTC
Statement:

taglib is only used in client applications. We do not consider a user-assisted crash of a client application such as k3b or Totem to be a security issue.


Note You need to log in before you can comment on or make changes to this bug.